# Error Reporting V1beta1 API - Class Google::Cloud::ErrorReporting::V1beta1::ListGroupStatsResponse (v0.17.0)

0.17.0 (latest) 0.16.0 0.15.1 0.14.0 0.13.1 0.12.0 0.11.1 0.10.0 0.9.2 0.8.0 0.7.0 0.6.0 0.5.1 0.4.5 Reference documentation and code samples for the Error Reporting V1beta1 API class Google::Cloud::ErrorReporting::V1beta1::ListGroupStatsResponse.

Contains a set of requested error group stats.

## Inherits

- Object

## Extended By

- Google::Protobuf::MessageExts::ClassMethods

## Includes

- Google::Protobuf::MessageExts

## Methods

### #error_group_stats

    def error_group_stats() -> ::Array<::Google::Cloud::ErrorReporting::V1beta1::ErrorGroupStats>

**Returns**

- (::Array\<[::Google::Cloud::ErrorReporting::V1beta1::ErrorGroupStats](https://docs.cloud.google.com/ruby/docs/reference/google-cloud-error_reporting-v1beta1/latest/Google-Cloud-ErrorReporting-V1beta1-ErrorGroupStats)\>) --- The error group stats which match the given request.

### #error_group_stats=

    def error_group_stats=(value) -> ::Array<::Google::Cloud::ErrorReporting::V1beta1::ErrorGroupStats>

**Parameter**

- **value** (::Array\<[::Google::Cloud::ErrorReporting::V1beta1::ErrorGroupStats](https://docs.cloud.google.com/ruby/docs/reference/google-cloud-error_reporting-v1beta1/latest/Google-Cloud-ErrorReporting-V1beta1-ErrorGroupStats)\>) --- The error group stats which match the given request.
**Returns**

- (::Array\<[::Google::Cloud::ErrorReporting::V1beta1::ErrorGroupStats](https://docs.cloud.google.com/ruby/docs/reference/google-cloud-error_reporting-v1beta1/latest/Google-Cloud-ErrorReporting-V1beta1-ErrorGroupStats)\>) --- The error group stats which match the given request.

### #next_page_token

    def next_page_token() -> ::String

**Returns**

- (::String) --- If non-empty, more results are available. Pass this token, along with the same query parameters as the first request, to view the next page of results.

### #next_page_token=

    def next_page_token=(value) -> ::String

**Parameter**

- **value** (::String) --- If non-empty, more results are available. Pass this token, along with the same query parameters as the first request, to view the next page of results.
**Returns**

- (::String) --- If non-empty, more results are available. Pass this token, along with the same query parameters as the first request, to view the next page of results.

### #time_range_begin

    def time_range_begin() -> ::Google::Protobuf::Timestamp

**Returns**

- ([::Google::Protobuf::Timestamp](https://docs.cloud.google.com/ruby/docs/reference/google-cloud-error_reporting-v1beta1/latest/Google-Protobuf-Timestamp)) --- The timestamp specifies the start time to which the request was restricted. The start time is set based on the requested time range. It may be adjusted to a later time if a project has exceeded the storage quota and older data has been deleted.

### #time_range_begin=

    def time_range_begin=(value) -> ::Google::Protobuf::Timestamp

**Parameter**

- **value** ([::Google::Protobuf::Timestamp](https://docs.cloud.google.com/ruby/docs/reference/google-cloud-error_reporting-v1beta1/latest/Google-Protobuf-Timestamp)) --- The timestamp specifies the start time to which the request was restricted. The start time is set based on the requested time range. It may be adjusted to a later time if a project has exceeded the storage quota and older data has been deleted.
**Returns**

- ([::Google::Protobuf::Timestamp](https://docs.cloud.google.com/ruby/docs/reference/google-cloud-error_reporting-v1beta1/latest/Google-Protobuf-Timestamp)) --- The timestamp specifies the start time to which the request was restricted. The start time is set based on the requested time range. It may be adjusted to a later time if a project has exceeded the storage quota and older data has been deleted.